Changeset 145799


Ignore:
Timestamp:
Feb 17, 2016, 5:11:55 PM (4 years ago)
Author:
devans@…
Message:

metacity: update to version 3.18.2, update autogen.sh from upstream git, no longer requires gnome-common to build, disable compile warnings.

Location:
trunk/dports/gnome/metacity
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/metacity

  • trunk/dports/gnome/metacity/Portfile

    r141355 r145799  
    66
    77name                metacity
    8 version             3.18.1
     8version             3.18.2
    99set branch          [join [lrange [split ${version} .] 0 1] .]
    1010description         A window manager for the adult in you.
     
    1919use_xz              yes
    2020
    21 checksums           rmd160  79f5f1b8b87f68e5167770d71d64bef6c7dec2fe \
    22                     sha256  5ccb2343413b6ba4d75f300b494524bde7fe77ec818f7f73e3b232777ce6dad8
     21checksums           rmd160  9efd4f7415831b3e804b4e853e1da45818d2cf3a \
     22                    sha256  e3ef981d0f159c57a8bf23f04755a5fe34f634aaada52fb30cd7b05dd43243dc
    2323
    2424depends_build       port:pkgconfig \
    2525                    port:intltool \
    2626                    port:itstool \
    27                     port:gnome-common \
    2827                    port:autoconf \
    2928                    port:automake \
     
    6463                    --x-libraries=${prefix}/lib \
    6564                    --enable-debug \
     65                    --disable-compile-warnings \
    6666                    --disable-silent-rules \
    6767                    --disable-schemas-compile \
  • trunk/dports/gnome/metacity/files/autogen.sh

    r134693 r145799  
    1 #!/bin/bash
     1#!/bin/sh
     2#
    23# Run this to generate all the initial makefiles, etc.
    34
    4 srcdir=`dirname $0`
     5srcdir=$(dirname "$0")
    56test -z "$srcdir" && srcdir=.
    67
    7 REQUIRED_AUTOMAKE_VERSION=1.10
     8if [ ! -f $srcdir/configure.ac ]; then
     9  echo "**Error**: Directory "\'$srcdir\'" does not look like the top-level" \
     10       "project directory."
     11  exit 1
     12fi
    813
    9 (test -f $srcdir/configure.ac \
    10   && test -d $srcdir/src) || {
    11     echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
    12     echo " top-level metacity directory"
    13     exit 1
    14 }
     14PKG_NAME=$(autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac")
    1515
    16 which gnome-autogen.sh || {
    17     echo "You need to install gnome-common from GNOME Subversion (or from"
    18     echo "your distribution's package manager)."
    19     exit 1
    20 }
     16if [ "$#" = 0 ] && [ -z "$NOCONFIGURE" ]; then
     17  echo "**Warning**: I am going to run 'configure' with no arguments." >&2
     18  echo "If you wish to pass any to it, please specify them on the '$0'" \
     19       "command line." >&2
     20fi
    2121
    22 . gnome-autogen.sh
     22set -x
     23aclocal --install || exit 1
     24intltoolize --force --copy --automake || exit 1
     25autoreconf --verbose --force --install -Wno-portability || exit 1
     26{ set +x; } 2>/dev/null
     27
     28if [ -z "$NOCONFIGURE" ]; then
     29  set -x
     30  $srcdir/configure "$@" || exit 1
     31  { set +x; } 2>/dev/null
     32
     33  if [ "$1" = "--help" ]; then
     34    exit 0
     35  else
     36    echo "Now type 'make' to compile $PKG_NAME." || exit 1
     37  fi
     38else
     39  echo "Skipping configure process."
     40fi
  • trunk/dports/gnome/metacity/files/patch-no-as-needed.diff

    r140861 r145799  
    1 --- m4/ax_compiler_flags_ldflags.m4.orig        2015-09-23 10:00:56.000000000 -0700
    2 +++ m4/ax_compiler_flags_ldflags.m4     2015-09-23 10:01:22.000000000 -0700
     1--- m4/ax_compiler_flags_ldflags.m4.orig        2016-02-15 12:40:48.000000000 -0800
     2+++ m4/ax_compiler_flags_ldflags.m4     2016-02-17 08:51:43.000000000 -0800
    33@@ -49,7 +49,6 @@
    44 
    55     # Base flags
    6      AX_APPEND_COMPILE_FLAGS([ dnl
     6     AX_APPEND_LINK_FLAGS([ dnl
    77-        -Wl,--no-as-needed dnl
    88         $3 dnl
Note: See TracChangeset for help on using the changeset viewer.